UI::Util::Http::SetCookie Class Reference

Handle "SetCookie" request header field values syntactically. More...

`#include <Cookie.hpp>`

Collaboration diagram for UI::Util::Http::SetCookie:

## Public Member Functions

| SetCookie (HeaderField const &field)
| SetCookie (std::string const &name, std::string const &value="")
std::string | getLine (std::string const &prefix="", std::string const &expiresDefault="", std::string const &pathDefault="", std::string const &domainDefault="") const
| Composition.
Modifiers (set values).
SetCookie & | setName (std::string const &name)
SetCookie & | setValue (std::string const &value)
SetCookie & | setExpires (std::string const &expires="Tue, 01-Jan-1980 00:00:00 GMT")
SetCookie & | setExpires (time_t const timestamp)
SetCookie & | setPath (std::string const &path)
SetCookie & | setDomain (std::string const &domain)
SetCookie & | setSecure (bool const &secure=true)
SetCookie & | setLine (std::string const &line)
| This resets all values and sets the values in line.
Accessors.
std::string const & | getName () const
std::string const & | getValue () const
std::string const & | getExpires () const
std::string const & | getPath () const
std::string const & | getDomain () const

## Detailed Description

Handle "SetCookie" request header field values syntactically.

Note
  Wording line means a string in "SetCookie" header field value syntax ("NAME=a;expires=b;path=c;...") as described http://wp.netscape.com/newsref/std/cookie_spec.html .

Todo
  Syntax integrity checks for setVALUE methods (expires, domain, path, ...).

The documentation for this class was generated from the following files:

- Cookie.hpp
- Cookie.cpp